CVE-2005-3632
CVSS4.6
发布时间 :2005-11-21 17:03:00
修订时间 :2011-03-07 21:26:51
NMCOS    

[原文]Multiple buffer overflows in pnmtopng in netpbm 10.0 and earlier allow attackers to execute arbitrary code via a crafted PNM file.


[CNNVD]NetPBM PNMToPNG多个缓冲区溢出漏洞(CNNVD-200511-300)

        netpbm是一款图形软件。
        netpbm 10.0及更早版本的pnmtopng中的多个缓冲区溢出,可让攻击者通过特制的PNM文件执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:netpbm:netpbm:9.20
cpe:/a:netpbm:netpbm:10.0
cpe:/a:netpbm:netpbm:9.23
cpe:/a:netpbm:netpbm:9.25
cpe:/a:netpbm:netpbm:9.21
cpe:/a:netpbm:netpbm:9.24
cpe:/a:netpbm:netpbm:9.22

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:11165Multiple buffer overflows in pnmtopng in netpbm 10.0 and earlier allow attackers to execute arbitrary code via a crafted PNM file.
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3632
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3632
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-300
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2005/dsa-904
(VENDOR_ADVISORY)  DEBIAN  DSA-904
http://www.vupen.com/english/advisories/2005/2418
(UNKNOWN)  VUPEN  ADV-2005-2418
http://www.ubuntulinux.org/support/documentation/usn/usn-218-1
(UNKNOWN)  UBUNTU  USN-218-1
http://www.securityfocus.com/bid/15514
(UNKNOWN)  BID  15514
http://www.redhat.com/support/errata/RHSA-2005-843.html
(UNKNOWN)  REDHAT  RHSA-2005:843
http://www.novell.com/linux/security/advisories/2005_28_sr.html
(UNKNOWN)  SUSE  SUSE-SR:2005:028
http://secunia.com/advisories/18186
(UNKNOWN)  SECUNIA  18186
http://secunia.com/advisories/17828
(UNKNOWN)  SECUNIA  17828
http://secunia.com/advisories/17544
(UNKNOWN)  SECUNIA  17544
http://www.mandriva.com/security/advisories?name=MDKSA-2005:217
(UNKNOWN)  MANDRIVA  MDKSA-2005:217
http://secunia.com/advisories/17679
(UNKNOWN)  SECUNIA  17679
http://secunia.com/advisories/17671
(UNKNOWN)  SECUNIA  17671

- 漏洞信息

NetPBM PNMToPNG多个缓冲区溢出漏洞
中危 缓冲区溢出
2005-11-21 00:00:00 2006-01-05 00:00:00
远程  
        netpbm是一款图形软件。
        netpbm 10.0及更早版本的pnmtopng中的多个缓冲区溢出,可让攻击者通过特制的PNM文件执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息

21005
Netpbm pnmtopng read_text() Function Input File Processing Overflow
Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-11-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.39 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

NetPBM PNMToPNG Long Text Line Buffer Overflow Vulnerability
Boundary Condition Error 15514
Yes No
2005-11-21 12:00:00 2006-04-11 07:02:00
This issue was disclosed by the vendor.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.10 powerpc
Ubuntu Ubuntu Linux 5.10 i386
Ubuntu Ubuntu Linux 5.10 amd64
Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
SuSE SUSE Linux Enterprise Server 8
+ Linux kernel 2.4.21
+ Linux kernel 2.4.19
S.u.S.E. SuSE Linux Standard Server 8.0
S.u.S.E. SuSE Linux School Server for i386
S.u.S.E. SUSE LINUX Retail Solution 8.0
S.u.S.E. SuSE Linux Openexchange Server 4.0
S.u.S.E. Open-Enterprise-Server 9.0
S.u.S.E. Novell Linux Desktop 9.0
S.u.S.E. Linux Professional 10.0 OSS
S.u.S.E. Linux Professional 9.3 x86_64
S.u.S.E. Linux Professional 9.3
S.u.S.E. Linux Professional 9.2 x86_64
S.u.S.E. Linux Professional 9.2
S.u.S.E. Linux Professional 9.1 x86_64
S.u.S.E. Linux Professional 9.1
S.u.S.E. Linux Professional 9.0 x86_64
S.u.S.E. Linux Professional 9.0
S.u.S.E. Linux Professional 8.2
S.u.S.E. Linux Personal 10.0 OSS
S.u.S.E. Linux Personal 9.3 x86_64
S.u.S.E. Linux Personal 9.3
S.u.S.E. Linux Personal 9.2 x86_64
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 9.1 x86_64
S.u.S.E. Linux Personal 9.1
S.u.S.E. Linux Personal 9.0 x86_64
S.u.S.E. Linux Personal 9.0
S.u.S.E. Linux Personal 8.2
S.u.S.E. Linux Enterprise Server 9
S.u.S.E. Linux Desktop 1.0
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Desktop 3.0
RedHat arpwatch-2.1a11-7.1.i386.rpm
+ Red Hat Fedora Core1
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
Netpbm Netpbm 10.0
Netpbm Netpbm 9.25
+ Turbolinux Turbolinux Server 8.0
+ Turbolinux Turbolinux Workstation 8.0
Netpbm Netpbm 9.24
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.2 amd64
+ Mandriva Linux Mandrake 9.2
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Mandriva Linux Mandrake 9.0
+ RedHat Linux 8.0 i686
+ RedHat Linux 8.0 i386
+ RedHat Linux 8.0
+ RedHat Linux 7.3 i686
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
+ Sun Linux 5.0
Netpbm Netpbm 9.23
Netpbm Netpbm 9.22
Netpbm Netpbm 9.21
Netpbm Netpbm 9.20
+ Conectiva Linux 8.0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ MandrakeSoft Multi Network Firewall 2.0
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
libpng pnmtopng 2.38
libpng pnmtopng 2.37.6
libpng pnmtopng 2.37.5
libpng pnmtopng 2.37.4
libpng pnmtopng 2.37.3
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0
libpng pnmtopng 2.39

- 不受影响的程序版本

libpng pnmtopng 2.39

- 漏洞讨论

Netpbm 'pnmtopng' is susceptible to a buffer-overflow vulnerability. The utility fails to do proper bounds checks on user-supplied data before copying it to an insufficiently sized memory buffer. This issue reportedly occurs only when the '-text' command-line option is used.

This issue allows attackers to create malicious PNM files that, when parsed by the affected utility, allow arbitrary machine code to be executed. This occurs in the context of the user running the affected utility.

This vulnerability was reported in versions 9.20 and 10.0 of Netpbm. Other versions may also be affected.

- 漏洞利用


Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案


Please see the referenced advisories for more information.


Netpbm Netpbm 10.0

libpng pnmtopng 2.37.3

libpng pnmtopng 2.37.4

libpng pnmtopng 2.37.5

libpng pnmtopng 2.37.6

Netpbm Netpbm 9.20

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站